package com.emr.entity;

import java.math.BigDecimal;
import java.util.Date;

public class ArchiveOtherExt {
    private Long id;

    private Date syctime;

    private String sycobj;

    private Long otherid;

    private Integer sysflag;

    private Date sysupdatetime;

    private String jzh;

    private String zyh;

    private Date stime;

    private Date etime;

    private Integer statusflag;

    private String presult;

    private String mid;

    private String did;

    private String c1;

    private String c2;

    private String c3;

    private String c4;

    private String c5;

    private String c6;

    private String c7;

    private String c8;

    private String c9;

    private String c10;

    private BigDecimal n1;

    private BigDecimal n2;

    private BigDecimal n3;

    private Date t1;

    private Date t2;

    private Date t3;

    private Date t4;

    private Date t5;

    private Date t6;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getSyctime() {
        return syctime;
    }

    public void setSyctime(Date syctime) {
        this.syctime = syctime;
    }

    public String getSycobj() {
        return sycobj;
    }

    public void setSycobj(String sycobj) {
        this.sycobj = sycobj == null ? null : sycobj.trim();
    }

    public Long getOtherid() {
        return otherid;
    }

    public void setOtherid(Long otherid) {
        this.otherid = otherid;
    }

    public Integer getSysflag() {
        return sysflag;
    }

    public void setSysflag(Integer sysflag) {
        this.sysflag = sysflag;
    }

    public Date getSysupdatetime() {
        return sysupdatetime;
    }

    public void setSysupdatetime(Date sysupdatetime) {
        this.sysupdatetime = sysupdatetime;
    }

    public String getJzh() {
        return jzh;
    }

    public void setJzh(String jzh) {
        this.jzh = jzh == null ? null : jzh.trim();
    }

    public String getZyh() {
        return zyh;
    }

    public void setZyh(String zyh) {
        this.zyh = zyh == null ? null : zyh.trim();
    }

    public Date getStime() {
        return stime;
    }

    public void setStime(Date stime) {
        this.stime = stime;
    }

    public Date getEtime() {
        return etime;
    }

    public void setEtime(Date etime) {
        this.etime = etime;
    }

    public Integer getStatusflag() {
        return statusflag;
    }

    public void setStatusflag(Integer statusflag) {
        this.statusflag = statusflag;
    }

    public String getPresult() {
        return presult;
    }

    public void setPresult(String presult) {
        this.presult = presult == null ? null : presult.trim();
    }

    public String getMid() {
        return mid;
    }

    public void setMid(String mid) {
        this.mid = mid == null ? null : mid.trim();
    }

    public String getDid() {
        return did;
    }

    public void setDid(String did) {
        this.did = did == null ? null : did.trim();
    }

    public String getC1() {
        return c1;
    }

    public void setC1(String c1) {
        this.c1 = c1 == null ? null : c1.trim();
    }

    public String getC2() {
        return c2;
    }

    public void setC2(String c2) {
        this.c2 = c2 == null ? null : c2.trim();
    }

    public String getC3() {
        return c3;
    }

    public void setC3(String c3) {
        this.c3 = c3 == null ? null : c3.trim();
    }

    public String getC4() {
        return c4;
    }

    public void setC4(String c4) {
        this.c4 = c4 == null ? null : c4.trim();
    }

    public String getC5() {
        return c5;
    }

    public void setC5(String c5) {
        this.c5 = c5 == null ? null : c5.trim();
    }

    public String getC6() {
        return c6;
    }

    public void setC6(String c6) {
        this.c6 = c6 == null ? null : c6.trim();
    }

    public String getC7() {
        return c7;
    }

    public void setC7(String c7) {
        this.c7 = c7 == null ? null : c7.trim();
    }

    public String getC8() {
        return c8;
    }

    public void setC8(String c8) {
        this.c8 = c8 == null ? null : c8.trim();
    }

    public String getC9() {
        return c9;
    }

    public void setC9(String c9) {
        this.c9 = c9 == null ? null : c9.trim();
    }

    public String getC10() {
        return c10;
    }

    public void setC10(String c10) {
        this.c10 = c10 == null ? null : c10.trim();
    }

    public BigDecimal getN1() {
        return n1;
    }

    public void setN1(BigDecimal n1) {
        this.n1 = n1;
    }

    public BigDecimal getN2() {
        return n2;
    }

    public void setN2(BigDecimal n2) {
        this.n2 = n2;
    }

    public BigDecimal getN3() {
        return n3;
    }

    public void setN3(BigDecimal n3) {
        this.n3 = n3;
    }

    public Date getT1() {
        return t1;
    }

    public void setT1(Date t1) {
        this.t1 = t1;
    }

    public Date getT2() {
        return t2;
    }

    public void setT2(Date t2) {
        this.t2 = t2;
    }

    public Date getT3() {
        return t3;
    }

    public void setT3(Date t3) {
        this.t3 = t3;
    }

    public Date getT4() {
        return t4;
    }

    public void setT4(Date t4) {
        this.t4 = t4;
    }

    public Date getT5() {
        return t5;
    }

    public void setT5(Date t5) {
        this.t5 = t5;
    }

    public Date getT6() {
        return t6;
    }

    public void setT6(Date t6) {
        this.t6 = t6;
    }

    public ArchiveOtherExt() {
    }

    public ArchiveOtherExt(Long id, Date syctime, String sycobj, Long otherid, Integer sysflag, Date sysupdatetime, String jzh, String zyh, Date stime, Date etime, Integer statusflag, String presult, String mid, String did, String c1, String c2, String c3, String c4, String c5, String c6, String c7, String c8, String c9, String c10, BigDecimal n1, BigDecimal n2, BigDecimal n3, Date t1, Date t2, Date t3, Date t4, Date t5, Date t6) {
        this.id = id;
        this.syctime = syctime;
        this.sycobj = sycobj;
        this.otherid = otherid;
        this.sysflag = sysflag;
        this.sysupdatetime = sysupdatetime;
        this.jzh = jzh;
        this.zyh = zyh;
        this.stime = stime;
        this.etime = etime;
        this.statusflag = statusflag;
        this.presult = presult;
        this.mid = mid;
        this.did = did;
        this.c1 = c1;
        this.c2 = c2;
        this.c3 = c3;
        this.c4 = c4;
        this.c5 = c5;
        this.c6 = c6;
        this.c7 = c7;
        this.c8 = c8;
        this.c9 = c9;
        this.c10 = c10;
        this.n1 = n1;
        this.n2 = n2;
        this.n3 = n3;
        this.t1 = t1;
        this.t2 = t2;
        this.t3 = t3;
        this.t4 = t4;
        this.t5 = t5;
        this.t6 = t6;
    }
}